org.apache.poi.sl.usermodel

## Enum PaintStyle.PaintModifier

- java.lang.Object
- - java.lang.Enum<PaintStyle.PaintModifier>
  - - org.apache.poi.sl.usermodel.PaintStyle.PaintModifier

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PaintStyle.PaintModifier>
  Enclosing interface:
    PaintStyle

      public static enum PaintStyle.PaintModifier
      extends java.lang.Enum<PaintStyle.PaintModifier>

  The PaintStyle can be modified by secondary sources, e.g. the attributes in the preset shapes. These modifications need to be taken into account when the final color is determined.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DARKEN` darken the paint/filling
    `DARKEN_LESS` darken (...
    `LIGHTEN` lighten the paint/filling
    `LIGHTEN_LESS` lighten (...
    `NONE` don't use any paint/fill
    `NORM` use the paint/filling as-is

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PaintStyle.PaintModifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PaintStyle.PaintModifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PaintStyle.PaintModifier NONE

      don't use any paint/fill

    - #### NORM

          public static final PaintStyle.PaintModifier NORM

      use the paint/filling as-is

    - #### LIGHTEN

          public static final PaintStyle.PaintModifier LIGHTEN

      lighten the paint/filling

    - #### LIGHTEN_LESS

          public static final PaintStyle.PaintModifier LIGHTEN_LESS

      lighten (... a bit less) the paint/filling

    - #### DARKEN

          public static final PaintStyle.PaintModifier DARKEN

      darken the paint/filling

    - #### DARKEN_LESS

          public static final PaintStyle.PaintModifier DARKEN_LESS

      darken (... a bit less) the paint/filling

  - ### Method Detail

    - #### values

          public static PaintStyle.PaintModifier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PaintStyle.PaintModifier c : PaintStyle.PaintModifier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PaintStyle.PaintModifier valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.